# Uses of Class
org.globus.ftp.DataChannelAuthentication

Packages that use DataChannelAuthentication
Package
Description
org.globus.ftp
org.globus.ftp.extended

## Uses of DataChannelAuthentication in org.globus.ftp

Subclasses of DataChannelAuthentication in org.globus.ftp
Modifier and Type
Class
Description
`class`
`SubjectDataChannelAuthentication`
Represents subject data channel authentication.
Fields in org.globus.ftp declared as DataChannelAuthentication
Modifier and Type
Field
Description
`DataChannelAuthentication`
GridFTPSession.`dataChannelAuthentication`
`static final DataChannelAuthentication`
DataChannelAuthentication.`NONE`
`static final DataChannelAuthentication`
DataChannelAuthentication.`SELF`
Methods in org.globus.ftp that return DataChannelAuthentication
Modifier and Type
Method
Description
`DataChannelAuthentication`
GridFTPClient.`getDataChannelAuthentication()`
Returns data channel authentication mode (DCAU).
Methods in org.globus.ftp with parameters of type DataChannelAuthentication
Modifier and Type
Method
Description
`void`
GridFTPClient.`setDataChannelAuthentication(DataChannelAuthentication type)`
Sets data channel authentication mode (DCAU)

## Uses of DataChannelAuthentication in org.globus.ftp.extended

Methods in org.globus.ftp.extended with parameters of type DataChannelAuthentication
Modifier and Type
Method
Description
`static Socket`
GridFTPServerFacade.`authenticate(Socket simpleSocket, boolean isClientSocket, GSSCredential credential, int protection, DataChannelAuthentication dcau)`
authenticate socket.
`void`
GridFTPServerFacade.`setDataChannelAuthentication(DataChannelAuthentication authentication)`